<mat-card>
  <mat-card-title class="title">Login</mat-card-title>
  <mat-card-content class="form-container">
    <form [formGroup]="form" (ngSubmit)="submit()">

      <div class="input-field">
        <mat-form-field>
          <input
              type="text"
              matInput
              placeholder="Email"
              formControlName="email"
          />
        </mat-form-field>
      </div>

      <div class="input-field">
        <mat-form-field>
          <input
              type="password"
              matInput
              placeholder="Password"
              formControlName="password"
          />
        </mat-form-field>
      </div>

      <div class="login-error">
        <span *ngIf="errorMessage">{{ errorMessage }}</span>
      </div>

      <div class="login-buttons">
        <button type="submit" mat-raised-button [disabled]="!form.valid">Login</button>
      </div>
    </form>
  </mat-card-content>
</mat-card>
